ViennaCL - The Vienna Computing Library: libviennacl/include/viennacl.hpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Typedefs | Enumerations | Functions
viennacl.hpp File Reference
`#include <stdlib.h>`

Go to the source code of this file.

## Macros
#define | VIENNACL_EXPORTED_FUNCTION

## Typedefs
typedef int | ViennaCLInt
typedef ViennaCLBackend_impl * | ViennaCLBackend
typedef ViennaCLHostScalar_impl * | ViennaCLHostScalar
typedef ViennaCLScalar_impl * | ViennaCLScalar
typedef ViennaCLVector_impl * | ViennaCLVector
typedef ViennaCLMatrix_impl * | ViennaCLMatrix

## Enumerations
enum | ViennaCLBackendTypes { ViennaCLInvalidBackend, ViennaCLCUDA, ViennaCLOpenCL, ViennaCLHost }
enum | ViennaCLOrder { ViennaCLInvalidOrder, ViennaCLRowMajor, ViennaCLColumnMajor }
enum | ViennaCLTranspose { ViennaCLInvalidTranspose, ViennaCLNoTrans, ViennaCLTrans }
enum | ViennaCLUplo { ViennaCLInvalidUplo, ViennaCLUpper, ViennaCLLower }
enum | ViennaCLDiag { ViennaCLInvalidDiag, ViennaCLUnit, ViennaCLNonUnit }
enum | ViennaCLPrecision { ViennaCLInvalidPrecision, ViennaCLFloat, ViennaCLDouble }
enum | ViennaCLStatus { ViennaCLSuccess = 0, ViennaCLGenericFailure }

## Functions
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLBackendCreate (ViennaCLBackend *backend)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLBackendSetOpenCLContextID (ViennaCLBackend backend, ViennaCLInt context_id)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLBackendDestroy (ViennaCLBackend *backend)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLiamax (ViennaCLInt *alpha, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDAiSamax (ViennaCLBackend backend, ViennaCLInt n, ViennaCLInt *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDAiDamax (ViennaCLBackend backend, ViennaCLInt n, ViennaCLInt *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostiSamax (ViennaCLBackend backend, ViennaCLInt n, ViennaCLInt *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostiDamax (ViennaCLBackend backend, ViennaCLInt n, ViennaCLInt *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLasum (ViennaCLHostScalar *alpha, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASasum (ViennaCLBackend backend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADasum (ViennaCLBackend backend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSasum (ViennaCLBackend backend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDasum (ViennaCLBackend backend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLaxpy (ViennaCLHostScalar alpha, ViennaCLVector x, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASaxpy (ViennaCLBackend backend, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADaxpy (ViennaCLBackend backend, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSaxpy (ViennaCLBackend backend, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDaxpy (ViennaCLBackend backend, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLcopy (ViennaCLVector x, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDAScopy (ViennaCLBackend backend, ViennaCLInt n, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADcopy (ViennaCLBackend backend, ViennaCLInt n, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostScopy (ViennaCLBackend backend, ViennaCLInt n, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDcopy (ViennaCLBackend backend, ViennaCLInt n, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLdot (ViennaCLHostScalar *alpha, ViennaCLVector x, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASdot (ViennaCLBackend backend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADdot (ViennaCLBackend backend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSdot (ViennaCLBackend backend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDdot (ViennaCLBackend backend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLnrm2 (ViennaCLHostScalar *alpha, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASnrm2 (ViennaCLBackend backend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADnrm2 (ViennaCLBackend backend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSnrm2 (ViennaCLBackend backend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDnrm2 (ViennaCLBackend backend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLrot (ViennaCLVector x, ViennaCLVector y, ViennaCLHostScalar c, ViennaCLHostScalar s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASrot (ViennaCLBackend backend, ViennaCLInt n, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy, float c, float s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADrot (ViennaCLBackend backend, ViennaCLInt n, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy, double c, double s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSrot (ViennaCLBackend backend, ViennaCLInt n, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy, float c, float s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDrot (ViennaCLBackend backend, ViennaCLInt n, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy, double c, double s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLscal (ViennaCLHostScalar alpha, ViennaCLVector x)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASscal (ViennaCLBackend backend, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADscal (ViennaCLBackend backend, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSscal (ViennaCLBackend backend, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDscal (ViennaCLBackend backend, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLswap (ViennaCLVector x, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASswap (ViennaCLBackend backend, ViennaCLInt n, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADswap (ViennaCLBackend backend, ViennaCLInt n, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSswap (ViennaCLBackend backend, ViennaCLInt n, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDswap (ViennaCLBackend backend, ViennaCLInt n, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLgemv (ViennaCLHostScalar alpha, ViennaCLMatrix A, ViennaCLVector x, ViennaCLHostScalar beta, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASgemv (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLInt m, ViennaCLInt n, float alpha, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *x, ViennaCLInt offx, ViennaCLInt incx, float beta, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADgemv (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLInt m, ViennaCLInt n, double alpha, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *x, ViennaCLInt offx, ViennaCLInt incx, double beta, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSgemv (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLInt m, ViennaCLInt n, float alpha, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *x, ViennaCLInt offx, ViennaCLInt incx, float beta, float *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDgemv (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLInt m, ViennaCLInt n, double alpha, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *x, ViennaCLInt offx, ViennaCLInt incx, double beta, double *y, ViennaCLInt offy, ViennaCLInt incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLtrsv (ViennaCLMatrix A, ViennaCLVector x, ViennaCLUplo uplo)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDAStrsv (ViennaCLBackend backend, ViennaCLUplo uplo, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLDiag diag, ViennaCLInt n, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADtrsv (ViennaCLBackend backend, ViennaCLUplo uplo, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLDiag diag, ViennaCLInt n, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostStrsv (ViennaCLBackend backend, ViennaCLUplo uplo, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLDiag diag, ViennaCLInt n, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDtrsv (ViennaCLBackend backend, ViennaCLUplo uplo, ViennaCLOrder order, ViennaCLTranspose transA, ViennaCLDiag diag, ViennaCLInt n, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *x, ViennaCLInt offx, ViennaCLInt incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLger (ViennaCLHostScalar alpha, ViennaCLVector x, ViennaCLVector y, ViennaCLMatrix A)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASger (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLInt m, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADger (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLInt m, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSger (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLInt m, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, ViennaCLInt incx, float *y, ViennaCLInt offy, ViennaCLInt incy, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDger (ViennaCLBackend backend, ViennaCLOrder order, ViennaCLInt m, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, ViennaCLInt incx, double *y, ViennaCLInt offy, ViennaCLInt incy, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLgemm (ViennaCLHostScalar alpha, ViennaCLMatrix A, ViennaCLMatrix B, ViennaCLHostScalar beta, ViennaCLMatrix C)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDASgemm (ViennaCLBackend backend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, float alpha, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, float beta, float *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLCUDADgemm (ViennaCLBackend backend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, double alpha, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, double beta, double *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSgemm (ViennaCLBackend backend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, float alpha, float *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, float *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, float beta, float *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDgemm (ViennaCLBackend backend, ViennaCLOrder orderA, ViennaCLTranspose transA, ViennaCLOrder orderB, ViennaCLTranspose transB, ViennaCLOrder orderC, ViennaCLInt m, ViennaCLInt n, ViennaCLInt k, double alpha, double *A, ViennaCLInt offA_row, ViennaCLInt offA_col, ViennaCLInt incA_row, ViennaCLInt incA_col, ViennaCLInt lda, double *B, ViennaCLInt offB_row, ViennaCLInt offB_col, ViennaCLInt incB_row, ViennaCLInt incB_col, ViennaCLInt ldb, double beta, double *C, ViennaCLInt offC_row, ViennaCLInt offC_col, ViennaCLInt incC_row, ViennaCLInt incC_col, ViennaCLInt ldc)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLtrsm (ViennaCLMatrix A, ViennaCLUplo uplo, ViennaCLDiag diag, ViennaCLMatrix B)

## Macro Definition Documentation

#define VIENNACL_EXPORTED_FUNCTION

Definition at line 40 of file viennacl.hpp.

## Typedef Documentation

typedef ViennaCLBackend_impl* ViennaCLBackend

Definition at line 107 of file viennacl.hpp.

typedef ViennaCLHostScalar_impl* ViennaCLHostScalar

Definition at line 116 of file viennacl.hpp.

typedef int ViennaCLInt

Definition at line 48 of file viennacl.hpp.

typedef ViennaCLMatrix_impl* ViennaCLMatrix

Definition at line 125 of file viennacl.hpp.

typedef ViennaCLScalar_impl* ViennaCLScalar

Definition at line 119 of file viennacl.hpp.

typedef ViennaCLVector_impl* ViennaCLVector

Definition at line 122 of file viennacl.hpp.

## Enumeration Type Documentation

enum ViennaCLBackendTypes

Enumerator
ViennaCLInvalidBackend |
ViennaCLCUDA |
ViennaCLOpenCL |
ViennaCLHost |

Definition at line 53 of file viennacl.hpp.

enum ViennaCLDiag

Enumerator
ViennaCLInvalidDiag |
ViennaCLUnit |
ViennaCLNonUnit |

Definition at line 82 of file viennacl.hpp.

enum ViennaCLOrder

Enumerator
ViennaCLInvalidOrder |
ViennaCLRowMajor |
ViennaCLColumnMajor |

Definition at line 61 of file viennacl.hpp.

enum ViennaCLPrecision

Enumerator
ViennaCLInvalidPrecision |
ViennaCLFloat |
ViennaCLDouble |

Definition at line 89 of file viennacl.hpp.

enum ViennaCLStatus

Enumerator
ViennaCLSuccess |
ViennaCLGenericFailure |

Definition at line 97 of file viennacl.hpp.

enum ViennaCLTranspose

Enumerator
ViennaCLInvalidTranspose |
ViennaCLNoTrans |
ViennaCLTrans |

Definition at line 68 of file viennacl.hpp.

enum ViennaCLUplo

Enumerator
ViennaCLInvalidUplo |
ViennaCLUpper |
ViennaCLLower |

Definition at line 75 of file viennacl.hpp.

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLasum | ( | ViennaCLHostScalar * | alpha,
|  | ViennaCLVector | x
| ) |  |

Definition at line 77 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLaxpy | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 116 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLBackendCreate | ( | ViennaCLBackend * | backend | ) |

Examples:
  examples/tutorial/libviennacl.cpp.

Definition at line 25 of file backend.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLBackendDestroy | ( | ViennaCLBackend * | backend | ) |

Examples:
  examples/tutorial/libviennacl.cpp.

Definition at line 39 of file backend.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLBackendSetOpenCLContextID | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | context_id
| ) |  |

Examples:
  examples/tutorial/libviennacl.cpp.

Definition at line 32 of file backend.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLcopy | ( | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 163 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADasum | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADaxpy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADcopy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADdot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADgemm | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | orderA,
|  | ViennaCLTranspose | transA,
|  | ViennaCLOrder | orderB,
|  | ViennaCLTranspose | transB,
|  | ViennaCLOrder | orderC,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | ViennaCLInt | k,
|  | double | alpha,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | B,
|  | ViennaCLInt | offB_row,
|  | ViennaCLInt | offB_col,
|  | ViennaCLInt | incB_row,
|  | ViennaCLInt | incB_col,
|  | ViennaCLInt | ldb,
|  | double | beta,
|  | double * | C,
|  | ViennaCLInt | offC_row,
|  | ViennaCLInt | offC_col,
|  | ViennaCLInt | incC_row,
|  | ViennaCLInt | incC_col,
|  | ViennaCLInt | ldc
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADgemv | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double | beta,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADger | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADnrm2 | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADrot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | double | c,
|  | double | s
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADscal | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADswap | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDADtrsv | ( | ViennaCLBackend | backend,
|  | ViennaCLUplo | uplo,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLDiag | diag,
|  | ViennaCLInt | n,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDAiDamax | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | ViennaCLInt * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDAiSamax | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | ViennaCLInt * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASasum | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASaxpy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDAScopy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASdot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASgemm | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | orderA,
|  | ViennaCLTranspose | transA,
|  | ViennaCLOrder | orderB,
|  | ViennaCLTranspose | transB,
|  | ViennaCLOrder | orderC,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | ViennaCLInt | k,
|  | float | alpha,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | B,
|  | ViennaCLInt | offB_row,
|  | ViennaCLInt | offB_col,
|  | ViennaCLInt | incB_row,
|  | ViennaCLInt | incB_col,
|  | ViennaCLInt | ldb,
|  | float | beta,
|  | float * | C,
|  | ViennaCLInt | offC_row,
|  | ViennaCLInt | offC_col,
|  | ViennaCLInt | incC_row,
|  | ViennaCLInt | incC_col,
|  | ViennaCLInt | ldc
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASgemv | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float | beta,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASger | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASnrm2 | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASrot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | float | c,
|  | float | s
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASscal | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDASswap | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Examples:
  examples/tutorial/libviennacl.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLCUDAStrsv | ( | ViennaCLBackend | backend,
|  | ViennaCLUplo | uplo,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLDiag | diag,
|  | ViennaCLInt | n,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLdot | ( | ViennaCLHostScalar * | alpha,
|  | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 206 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLgemm | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLMatrix | A,
|  | ViennaCLMatrix | B,
|  | ViennaCLHostScalar | beta,
|  | ViennaCLMatrix | C
| ) |  |

Definition at line 35 of file blas3.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLgemv | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLMatrix | A,
|  | ViennaCLVector | x,
|  | ViennaCLHostScalar | beta,
|  | ViennaCLVector | y
| ) |  |

Definition at line 36 of file blas2.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLger | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLVector | x,
|  | ViennaCLVector | y,
|  | ViennaCLMatrix | A
| ) |  |

Definition at line 177 of file blas2.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDasum | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 79 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDaxpy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 109 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDcopy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 139 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDdot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 168 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDgemm | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | orderA,
|  | ViennaCLTranspose | transA,
|  | ViennaCLOrder | orderB,
|  | ViennaCLTranspose | transB,
|  | ViennaCLOrder | orderC,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | ViennaCLInt | k,
|  | double | alpha,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | B,
|  | ViennaCLInt | offB_row,
|  | ViennaCLInt | offB_col,
|  | ViennaCLInt | incB_row,
|  | ViennaCLInt | incB_col,
|  | ViennaCLInt | ldb,
|  | double | beta,
|  | double * | C,
|  | ViennaCLInt | offC_row,
|  | ViennaCLInt | offC_col,
|  | ViennaCLInt | incC_row,
|  | ViennaCLInt | incC_col,
|  | ViennaCLInt | ldc
| ) |  |

Definition at line 108 of file blas3_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDgemv | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double | beta,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 60 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDger | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda
| ) |  |

Definition at line 198 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDnrm2 | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 196 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDrot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | double | c,
|  | double | s
| ) |  |

Definition at line 225 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDscal | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 255 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDswap | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 282 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDtrsv | ( | ViennaCLBackend | backend,
|  | ViennaCLUplo | uplo,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLDiag | diag,
|  | ViennaCLInt | n,
|  | double * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 130 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostiDamax | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | ViennaCLInt * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 51 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostiSamax | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | ViennaCLInt * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 39 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSasum | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 67 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSaxpy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 95 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostScopy | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 126 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSdot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 154 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSgemm | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | orderA,
|  | ViennaCLTranspose | transA,
|  | ViennaCLOrder | orderB,
|  | ViennaCLTranspose | transB,
|  | ViennaCLOrder | orderC,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | ViennaCLInt | k,
|  | float | alpha,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | B,
|  | ViennaCLInt | offB_row,
|  | ViennaCLInt | offB_col,
|  | ViennaCLInt | incB_row,
|  | ViennaCLInt | incB_col,
|  | ViennaCLInt | ldb,
|  | float | beta,
|  | float * | C,
|  | ViennaCLInt | offC_row,
|  | ViennaCLInt | offC_col,
|  | ViennaCLInt | incC_row,
|  | ViennaCLInt | incC_col,
|  | ViennaCLInt | ldc
| ) |  |

Definition at line 85 of file blas3_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSgemv | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float | beta,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Definition at line 36 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSger | ( | ViennaCLBackend | backend,
|  | ViennaCLOrder | order,
|  | ViennaCLInt | m,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda
| ) |  |

Definition at line 176 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSnrm2 | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 184 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSrot | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy,
|  | float | c,
|  | float | s
| ) |  |

Definition at line 211 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSscal | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 243 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSswap | ( | ViennaCLBackend | backend,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | ViennaCLInt | incy
| ) |  |

Examples:
  examples/tutorial/libviennacl.cpp.

Definition at line 269 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostStrsv | ( | ViennaCLBackend | backend,
|  | ViennaCLUplo | uplo,
|  | ViennaCLOrder | order,
|  | ViennaCLTranspose | transA,
|  | ViennaCLDiag | diag,
|  | ViennaCLInt | n,
|  | float * | A,
|  | ViennaCLInt | offA_row,
|  | ViennaCLInt | offA_col,
|  | ViennaCLInt | incA_row,
|  | ViennaCLInt | incA_col,
|  | ViennaCLInt | lda,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | ViennaCLInt | incx
| ) |  |

Definition at line 88 of file blas2_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLiamax | ( | ViennaCLInt * | alpha,
|  | ViennaCLVector | x
| ) |  |

Definition at line 40 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLnrm2 | ( | ViennaCLHostScalar * | alpha,
|  | ViennaCLVector | x
| ) |  |

Definition at line 252 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLrot | ( | ViennaCLVector | x,
|  | ViennaCLVector | y,
|  | ViennaCLHostScalar | c,
|  | ViennaCLHostScalar | s
| ) |  |

Definition at line 291 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLscal | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLVector | x
| ) |  |

Definition at line 341 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLswap | ( | ViennaCLVector | x,
|  | ViennaCLVector | y
| ) |  |

Definition at line 379 of file blas1.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLtrsm | ( | ViennaCLMatrix | A,
|  | ViennaCLUplo | uplo,
|  | ViennaCLDiag | diag,
|  | ViennaCLMatrix | B
| ) |  |

Definition at line 118 of file blas3.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLtrsv | ( | ViennaCLMatrix | A,
|  | ViennaCLVector | x,
|  | ViennaCLUplo | uplo
| ) |  |

Definition at line 101 of file blas2.cpp.